> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a webhook event

> Requires the `webhook_event:read` ability.



## OpenAPI

````yaml /api-reference/api.json get /webhook-subscriptions/{webhook_subscription}/webhook-events/{webhook_event}
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /webhook-subscriptions/{webhook_subscription}/webhook-events/{webhook_event}:
    get:
      tags:
        - Webhook Events
      summary: Get a webhook event
      description: Requires the `webhook_event:read` ability.
      operationId: webhook-subscriptions.webhook-events.show
      parameters:
        - name: webhook_subscription
          in: path
          required: true
          description: 'The webhook subscription ID. Example: `wh_sub_01jz8v2q4x...`'
          schema:
            type: string
        - name: webhook_event
          in: path
          required: true
          description: 'The webhook event ID. Example: `wh_evt_01jz8v2q4x...`'
          schema:
            type: string
        - name: include
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - attempts
          explode: false
        - name: fields[webhook-events]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - status
                - type
                - webhook_url
                - payload
                - created_at
                - attempts_count
                - last_attempted_at
                - last_response_status_code
          explode: false
        - name: fields[webhook-event-attempts]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - status
                - attempt
                - created_at
                - response_status_code
          explode: false
      responses:
        '200':
          description: '`WebhookEventResource`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/WebhookEventResource'
                  included:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookEventAttemptResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    WebhookEventResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: webhook-events
        attributes:
          type: object
          properties:
            status:
              type: string
              description: The delivery status of the event.
            type:
              type: string
              description: The event type.
            webhook_url:
              type: string
              description: The webhook URL the event was sent to.
            payload:
              type: string
              description: The event payload.
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            attempts_count:
              description: Total number of delivery attempts made.
              anyOf:
                - type: string
                - type: integer
                  minimum: 0
            last_attempted_at:
              type: string
              description: >-
                ISO 8601 timestamp of the most recent delivery attempt, or null
                when none yet.
            last_response_status_code: {}
        relationships:
          type: object
          properties:
            attempts:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      type:
                        type: string
                        const: webhook-event-attempts
                    required:
                      - id
                      - type
              required:
                - data
      required:
        - id
        - type
      title: WebhookEventResource
    WebhookEventAttemptResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: webhook-event-attempts
        attributes:
          type: object
          properties:
            status:
              type: string
              description: The status of the delivery attempt.
            attempt:
              type: string
              description: The attempt number (1-based).
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            response_status_code: {}
      required:
        - id
        - type
      title: WebhookEventAttemptResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````